Summary: database of the Czech and Slovak fortune cookies
Name: fortune-cs
Version: 1.1.8b2
Release: 3
BuildArchitectures: noarch
Source: ftp://ftp.phil.muni.cz/pub/local/lvt/fortune/fortune-cs-1.1.8b2.tar.gz
Url: ftp://ftp.phil.muni.cz/pub/local/lvt/fortune/
Copyright: GPL
Group: Games
Packager: Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
Distribution: Red Hat Contrib|Net
Requires: fortune-mod >= 1.0-5
BuildRoot: /tmp/fortune-root
Summary(cs): esk a slovensk fortunes
%description

This is a database of the Czech and Slovak cookies for the fortune(6)
program. It requires fortune-mod RPM installed.

%description -l cs

Databze eskch a slovenskch cookies pro program fortune(6).
Ke sv funkci potebuje RPM balek fortune-mod.

%changelog
* Tue Mar  4 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- RH bug (fortune-cs.csh can't be in /etc/profile.d)

* Tue Mar  2 1999 Milan Kerslager <milan.kerslager@spsselib.hiedu.cz>
- fortunes updated to the 1.1.8b2 release
- added czech desription
- added test to fortune.{sh,csh}
- 1.1 release date fix
- file attr fix (two times, but now I know how to do it!)
- packager changed

* Fri Nov 20 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- added RHCN info. RHCN is finally up!!!

* Tue Oct 13 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to the 1.1 release
- deleted the RHCN info - it still seems RHCN is dead.
- directory cs-il2 renamed to cs (as ISO 8859-2 is the default).

* Thu Apr  2 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>

- updated to the official 1.0 release
- made the package buildrooted
- made the spec file using %attr
- changed the Packager and Distribution for the RHCN.


%prep
%setup

#set   # uncomment for debugging purposes

%build

%install
DOCDIR=$RPM_BUILD_ROOT/$RPM_DOC_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION \
	FORTUNESDIR=$RPM_BUILD_ROOT/usr/share/games/fortunes \
	sh ./install.sh
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat <<EOF >$RPM_BUILD_ROOT/etc/profile.d/fortune-cs.sh
[ -x /usr/games/fortune ] && /usr/games/fortune cs
EOF
touch $RPM_BUILD_ROOT/etc/csh.login
cat <<EOF >$RPM_BUILD_ROOT/etc/csh.login

# Next line can't be in /etc/profile.d/fortune-cs.csh because
# with (t)csh this will be executed during every start of shell
# This is a RedHat (tm) bug and has been already reported.

[ -x /usr/games/fortune ] && /usr/games/fortune cs

EOF

%preun
# save the file before rpm -e
cp -af $RPM_BUILD_ROOT/etc/csh.login $RPM_BUILD_ROOT/etc/csh.login.sav

%postun
# ... and restore after rpm -e
mv -f $RPM_BUILD_ROOT/etc/csh.login.sav $RPM_BUILD_ROOT/etc/csh.login

%files
%attr(0644,root,root,0755) %doc HISTORIE LICENSE README
%attr(0644,root,root,0755) /usr/share/games/fortunes/cs/*
%attr(0755,root,root) %config /etc/profile.d/fortune-cs.sh
%attr(0755,root,root) %config /etc/csh.login
